XPのサポート終了

 
XPのサポート終了

20140412-1

Windows XP のサポートが終了し、正直ホッとしております。

XP へインストール可能な IEの最新バージョンは IE8 なのですが、そのバージョンだとこのブログのレイアウトが崩れまくるのであります。
(このブログは HTML5 と CSS3 で構築されているから)
友人宅の XP マシンでこのブログを見たとき愕然とし、IE8 に対応しようと四苦八苦しましたが、結局上手く対応出来ませんでした。
XP のサポートは切れるし、もう対応は考えなくていいか… と開き直りましたよ(笑)

何グモさんだろう

20140412-2

今後仕事で作成するプログラムも XP の対応は考えなくていいので、画面のフォントに「MS Pゴシック」では無く、Windows 7 で導入された「Meiryo UI」が使えます。
この「Meiryo UI」を使うだけで画面が美しくなるので、XP の事を考えなくてもよい今はとてもスッキリした気持ちです。

あ、秘密基地は旧秘密基地の頃からフォントを「メイリオ」に指定していました。
(css の font-family でメイリオを優先にし、MS Pゴシックは後の方にしていた)
随分前から XP と Mac の事は考えていなかったんだ(笑)



  1. mistgreen

    確かに、IE8の対応は大変ですよね。
    でも、うちのサイト訪問者の記録を見ると、今だにIE6なんてのもいたりします。

    html5やcss3の対応は、javascriptで出来ますけどね。
    確か、html5.jsとかだったかな?

    ただ、実はIE9以降もくせ者だったりします。
    仕様に準拠してない部分が結構ありますので…

    あ、私、最近はMac使ってますよ。
    仮想環境でWindowsも使えますしね。。。

    1. delphian

      mistgreenさん、こんにちは。

      IE8対応ですが、格闘の痕跡がこのブログのソースに残っていますよ(笑)
      お書きの通り html5.js 系でチャレンジしておりました。
      しかし一部が対応出来ず、XPも終了するしで途中棄権しました (^^

  2. bluem

    おはようございます(^^
    OSも、使いやすく安定した動作となるよう進化させていくものでしょうが
    OSを新しくすると、仕事のCAD2種類もVerUPしなくちゃなくて、OSやPC以上の
    出費が痛いですw

    新聞で見ましたが、サポート終了で学校などに導入されてるXP機が
    予算が廻らず、OSを代える事も出来ずに、苦労してるトコもあるようですね。

    1. delphian

      bluemさん、こんにちは。

      ええ? もしかしてCADは自費導入ですか? そうなら痛いですね。
      サポートは終了しても普通に使えますので、ウィルス系に関係無い、たとえばインターネットから切り離された環境で使う PCなら XPを使い続けても問題無いのですが、今さらそんな不便な環境は無理ですよね(笑)

  3. あゆむのすけ

    メインで働いている職場で与えられているパソコンがXpで、そのまま使い続けてます。
    何とかしてほしいと思っていたところ、どうも5月以降に一斉にwindows7になるようで、ほっとしてます。どれくらい危険なのか、よくわかりませんが・・・。
    IE8だと確かにレイアウト無茶苦茶になるんですね。さっき確認してはじめて気づきました。Xpで見る時もFireFoxまたはChromeを使用していたので気づきませんでした。

    1. delphian

      あゆむのすけさん、こんにちは。

      XPが現役って所はまだまだ多いですね。
      危険とは言ってもルーターを介してネットに接続しているでしょうから、それほど驚異とも思えません。
      ただやっかいなウィルスが出てきたときに対応されず困るって感じでしょうか。
      Win7へ変わったらフォントもメイリオで表示されるので、随分読みやすくなると思いますよ。
      お楽しみに(笑)

  4. jerry

    ウェブサイトやプログラム開発の関係者はOSやブラウザごとに、しかもバージョンまで
    対応するんだろうからメチャ大変ですね。
    最近はタブレットやスマホの対応もあるし・・・ いろいろ大変そうだなぁ

    1. delphian

      Jerryさん、こんにちは。

      私の場合、プログラムの OS対応はあまり問題では無いのですが、ブラウザ、特に IEが曲者ですね。
      みんな Firefoxか Chromeを使ってくれよ~(笑)